My WordPress site theme/plugin problem

Today I have a problem with a plugin update that has caused my custom WordPress theme to break. Temporarily the site is running the default WP 2011 theme until I fix my custom theme. Below is the story…

This morning I got an email telling me I had a new user registration on my site which I thought was strange as I thought pie register plugin should allow me to manage site registration. That is why I installed it!

Anyway when I arrived at my dashboard I saw 9 plugin updates & I thought I would update them all at once. I knew I was taking a risk as if there is a problem it becomes harder to know which plugin caused it! I cannot remember all the plugins: All in OneSEO/Jetpack/bbPress/BuddyPress/Commentluv were the main ones I remember & in the past I have had problems with ALL of them!.

I pressed on and network updated all 9 plugins at once and my theme crashed- here is a screenshot:

WP_site_plugin_update_problem

As shown-no theme formatting!

I tried a couple of fixes but no success yet. I tried removing bbPress plugin/ removing all plugins/removing the current theme.

At the moment I have my theme disabled (renamed) and WordPress reverts to this TwentyEleven default theme.

Here are the error messages I have encountered: First-after I try to Network deactivate bbPress plugin & get:

Fatal error: Call to a member function get() on a non-object in
 /home////wp-includes/query.php on line 27

I rename bbPress plugins folder (to _bbPress) via cPanel & get:
Fatal error: Class 'BBP_Theme_Compat' not found in /home//richard-dickinson.com/wp-content/themes/animassrdblogbp_kid/functions.php on line 32
 

From Network Admin I disable BuddyPress css/ajax settings but I do not think that was necessary!

I rename theme folder  animassrdblogbp_kid (to _animassrdblogbp_kid) hoping to get back default WP theme but get: another error:

http://richard-dickinson.com/wp-admin/network/plugins.php

Warning: require_once(BP_PLUGIN_DIR/bp-themes/bp-default/_inc/ajax.php) [function.require-once]: failed to open stream: No such file or directory in /home///richard-dickinson.com/wp-content/themes/animassrdblogbp/bp/bp-functions.php on line 4

Fatal error: require_once() [function.require]: Failed opening required 'BP_PLUGIN_DIR/bp-themes/bp-default/_inc/ajax.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home///richard-dickinson.com/wp-content/themes/animassrdblogbp/bp/bp-functions.php on line 4

In general I get update problems updating to latest WordPress versions and update plugin issues with bbPress and BuddyPress!

Overall I remain disappointed with WordPress/bbPress/BuddyPress integration

.Now I shall have to spend sometime trying to fix these plugins & hopefully restore my theme……

Be Sociable, Share!
This entry was posted in Blog, BuddyPress, WordPress and tagged , , , . Bookmark the permalink. | Permalink | 51489 Views

Leave a Reply

Your email address will not be published. Required fields are marked *

CommentLuv badge